1. Steve Cadwallader
  2. CodeMaid
Issue #19 resolved

CodeMaid doesn't load in visual studio 2005

AngelM
created an issue

Hello,

I just want to use CodeMaid in visual studion 2005. The installation runs without any issues but when I start Visual Studio i get the following error message:

{{{ The SteveCadwallader.CodeMaid.CodeMaidPackage, SteveCadwallader.CodeMaid, Version=0.3.7.41368, Culture=neutral, PublicKeyToken=5e10ffd6b4d2c330 ({4C82E17D-927E-42D2-8460-B473AC7DF316}) did not load because of previous errors. For assistance, contact the package vendor. To attempt to load this package again, type 'devenv /resetskippkgs' at the command prompt. }}}

Any ideas what can cause this?

Comments (5)

  1. Steve Cadwallader repo owner
    • changed status to open

    Hi AngelM -

    Are you running on a Visual Studio 2005 only machine? Unfortunately CodeMaid has evolved to have a dependency on a DLL that was added in Visual Studio 2008 so it requires also having a later edition of Visual Studio installed. If you have the flexibility to install a later edition as well that should work around the issue. Here are links to the express (free) editions of VS2008: http://msdn.microsoft.com/en-us/express/future/bb421473 and VS2010: http://www.microsoft.com/visualstudio/en-us/products/2010-editions/express .

    The issue has been raised one other time here on BitBucket if you want more details: https://bitbucket.org/s_cadwallader/codemaid/issue/1/cannost-start-in-vs2005

    I've added a task to update the installer to make this dependency explicit. I apologize for the confusion.

    Thanks for reporting the issue and please let me know if the work around works as expected.

    -Steve Cadwallader

  2. Steve Cadwallader repo owner

    Hi Michael -

    I have updated the installer's launch conditions to make the dependency on Visual Studio 2008/Visual Studio 2010 explicit. It will be present in the next release. The workaround of installing an express edition of Visual Studio 2008/2010 should still work.

    Hope it helps,

    -Steve Cadwallader

  3. Anonymous

    Hi. Please update your listing in the VS Gallery so CodeMaid does not come up under VS2005 anymore. Cheers.

  4. Log in to comment